package de.mm20.launcher2.ui.theme.colorscheme

import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color

val LightDefaultColorScheme = lightColorScheme(
    primary = Color(0xFF3D608A),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFFD2E4FF),
    onPrimaryContainer = Color(0xFF001C37),
    inversePrimary = Color(0xFFA5C9F8),
    secondary = Color(0xFF535F70),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFFD7E3F8),
    onSecondaryContainer = Color(0xFF101C2B),
    tertiary = Color(0xFF6B5778),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFFF3DAFF),
    onTertiaryContainer = Color(0xFF251431),
    surface = Color(0xFFFAF9FC),
    onSurface = Color(0xFF1A1C1E),
    onSurfaceVariant = Color(0xFF43474E),
    inverseSurface = Color(0xFF2F3033),
    inverseOnSurface = Color(0xFFF1F0F3),
    error = Color(0xFFBA1A1A),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFFFFDAD5),
    onErrorContainer = Color(0xFF410002),
    outline = Color(0xFF73777F),
    outlineVariant = Color(0xFFC3C6CF),
    scrim = Color(0xFF000000),
    background = Color(0xFFFDFCFF),
    onBackground = Color(0xFF1A1C1E),
    surfaceVariant = Color(0xFFDFE2EB),
)

val DarkDefaultColorScheme = darkColorScheme(
    primary = Color(0xFFA5C9F8),
    onPrimary = Color(0xFF023258),
    primaryContainer = Color(0xFF224970),
    onPrimaryContainer = Color(0xFFD2E4FF),
    inversePrimary = Color(0xFF3D608A),
    secondary = Color(0xFFBBC7DB),
    onSecondary = Color(0xFF253141),
    secondaryContainer = Color(0xFF3C4858),
    onSecondaryContainer = Color(0xFFD7E3F8),
    tertiary = Color(0xFFD6BEE4),
    onTertiary = Color(0xFF3B2947),
    tertiaryContainer = Color(0xFF523F5F),
    onTertiaryContainer = Color(0xFFF3DAFF),
    surface = Color(0xFF1A1C1E),
    onSurface = Color(0xFFE3E2E5),
    onSurfaceVariant = Color(0xFFC3C6CF),
    inverseSurface = Color(0xFFE3E2E5),
    inverseOnSurface = Color(0xFF2F3033),
    error = Color(0xFFFFB4AB),
    onError = Color(0xFF690004),
    errorContainer = Color(0xFF930009),
    onErrorContainer = Color(0xFFFFB4AB),
    outline = Color(0xFF8D9199),
    outlineVariant = Color(0xFF43474E),
    scrim = Color(0xFF000000),
    background = Color(0xFF1A1C1E),
    onBackground = Color(0xFFE3E2E5),
    surfaceVariant = Color(0xFF43474E),
)