package de.mm20.launcher2.ui.theme.colorscheme

import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color

val LightEasterEggColorScheme = lightColorScheme(
    primary = Color(0xFFB40180),
    onPrimary = Color(0xFFFFFFFF),
    primaryContainer = Color(0xFFFFD8E9),
    onPrimaryContainer = Color(0xFF3C0029),
    inversePrimary = Color(0xFFFFAFD7),
    secondary = Color(0xFF725763),
    onSecondary = Color(0xFFFFFFFF),
    secondaryContainer = Color(0xFFFDD9E7),
    onSecondaryContainer = Color(0xFF29151F),
    tertiary = Color(0xFF7F543B),
    onTertiary = Color(0xFFFFFFFF),
    tertiaryContainer = Color(0xFFFFDBC9),
    onTertiaryContainer = Color(0xFF311302),
    surface = Color(0xFFFCF8FC),
    onSurface = Color(0xFF1C1B1E),
    onSurfaceVariant = Color(0xFF4F4448),
    inverseSurface = Color(0xFF313033),
    inverseOnSurface = Color(0xFFF3EFF3),
    error = Color(0xFFBA1A1A),
    onError = Color(0xFFFFFFFF),
    errorContainer = Color(0xFFFFDAD5),
    onErrorContainer = Color(0xFF410002),
    outline = Color(0xFF817379),
    outlineVariant = Color(0xFFD3C2C8),
    scrim = Color(0xFF000000),
    background = Color(0xFFFFFBFF),
    onBackground = Color(0xFF1C1B1E),
    surfaceVariant = Color(0xFFF0DEE4),
)

val DarkEasterEggColorScheme = darkColorScheme(
    primary = Color(0xFFFFAFD7),
    onPrimary = Color(0xFF620044),
    primaryContainer = Color(0xFF8A0061),
    onPrimaryContainer = Color(0xFFFFD8E9),
    inversePrimary = Color(0xFFB40180),
    secondary = Color(0xFFE0BDCB),
    onSecondary = Color(0xFF402A35),
    secondaryContainer = Color(0xFF59404B),
    onSecondaryContainer = Color(0xFFFDD9E7),
    tertiary = Color(0xFFF3BA9B),
    onTertiary = Color(0xFF4A2812),
    tertiaryContainer = Color(0xFF643D26),
    onTertiaryContainer = Color(0xFFFFDBC9),
    surface = Color(0xFF1C1B1E),
    onSurface = Color(0xFFE5E1E5),
    onSurfaceVariant = Color(0xFFD3C2C8),
    inverseSurface = Color(0xFFE5E1E5),
    inverseOnSurface = Color(0xFF313033),
    error = Color(0xFFFFB4AB),
    onError = Color(0xFF690004),
    errorContainer = Color(0xFF930009),
    onErrorContainer = Color(0xFFFFB4AB),
    outline = Color(0xFF9C8D92),
    outlineVariant = Color(0xFF4F4448),
    scrim = Color(0xFF000000),
    background = Color(0xFF1C1B1E),
    onBackground = Color(0xFFE5E1E5),
    surfaceVariant = Color(0xFF4F4448),
)