package de.mm20.launcher2.licenses

import de.mm20.launcher2.base.R

val OpenSourceLicenses = arrayOf(
    OpenSourceLibrary(
        name = "Kotlin Standard Library",
        description = " A modern programming language that makes developers happier.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://kotlinlang.org/"
    ),
    OpenSourceLibrary(
        name = "KotlinX Coroutines",
        description = "Library support for Kotlin coroutines",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/Kotlin/kotlinx.coroutines"
    ),
    OpenSourceLibrary(
        name = "KotlinX Collections",
        description = "Immutable collection interfaces and implementation prototypes for Kotlin.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/Kotlin/kotlinx.collections.immutable"
    ),
    OpenSourceLibrary(
        name = "IntelliJ Markdown",
        description = "Multiplatform Markdown processor written in Kotlin.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/JetBrains/markdown"
    ),
    OpenSourceLibrary(
        name = "KotlinX Serialization",
        description = "Kotlin serialization consists of a compiler plugin, that generates visitor code for serializable classes, runtime library with core serialization API and support libraries with various serialization formats.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/Kotlin/kotlinx.serialization"
    ),
    OpenSourceLibrary(
        name = "Android Jetpack",
        description = "A collection of Android software components to make it easier to develop great Android apps.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://developer.android.com/jetpack"
    ),
    OpenSourceLibrary(
        name = "Accompanist",
        description = "Accompanist is a group of libraries that aim to supplement Jetpack Compose with features that are commonly required by developers but not yet available.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        copyrightNote = "Copyright 2020 The Android Open Source Project",
        url = "https://google.github.io/accompanist/"
    ),
    OpenSourceLibrary(
        name = "Material Components for Android",
        description = "Material Components for Android (MDC-Android) help developers execute Material Design.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://material.io/develop/android/"
    ),
    OpenSourceLibrary(
        name = "OkHttp",
        description = "An HTTP & HTTP/2 client for Android and Java applications",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        copyrightNote = "Copyright 2019 Square, Inc.",
        url = "https://square.github.io/okhttp/"
    ),
    OpenSourceLibrary(
        name = "Retrofit",
        description = "A type-safe HTTP client for Android and Java",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        copyrightNote = "Copyright 2013 Square, Inc.",
        url = "https://square.github.io/retrofit/"
    ),
    OpenSourceLibrary(
        name = "Gson",
        description = "Gson is a Java library that can be used to convert Java Objects into their JSON representation.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        copyrightNote = "Copyright 2008 Google Inc.",
        url = "https://github.com/google/gson/"
    ),
    OpenSourceLibrary(
        name = "commons-suncalc",
        description = "A Java library for calculation of sun and moon positions and phases.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/shred/commons-suncalc"
    ),
    OpenSourceLibrary(
        name = "Jsoup",
        description = "A Java library for working with real-world HTML",
        licenseName = R.string.mit_license_name,
        licenseText = R.raw.license_mit,
        copyrightNote = "Copyright (c) 2009-2021 Jonathan Hedley <https://jsoup.org/>",
        url = "https://jsoup.org/"
    ),
    OpenSourceLibrary(
        name = "mXparser (Version 4.4.2)",
        description = "A super easy, rich, fast and highly flexible math expression parser library",
        licenseName = R.string.bsd_2clause_name,
        licenseText = R.raw.license_bsd_2clause,
        copyrightNote = "Copyright 2010 - 2020 Mariusz Gromada. All rights reserved.",
        url = "https://mathparser.org/"
    ),
    OpenSourceLibrary(
        name = "Google Auth Library",
        description = "Open source authentication client library for Java.",
        licenseName = R.string.bsd_3clause_name,
        licenseText = R.raw.license_bsd_3clause,
        copyrightNote = "Copyright 2014, Google Inc. All rights reserved.",
        url = "https://github.com/googleapis/google-auth-library-java"
    ),
    OpenSourceLibrary(
        name = "Google APIs Client Library for Android",
        description = "The Google APIs Client Library for Java is a flexible, efficient, and powerful Java client library for accessing any HTTP-based API on the web, not just Google APIs.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/googleapis/google-api-java-client"
    ),
    OpenSourceLibrary(
        name = "CrashReporter",
        description = "CrashReporter is a handy tool to capture app crashes and save them in a file.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        copyrightNote = "Copyright (C) 2016 Bal Sikandar\nCopyright (C) 2011 Android Open Source Project",
        url = "https://github.com/MindorksOpenSource/CrashReporter"
    ),
    OpenSourceLibrary(
        name = "Material Design Icons",
        description = "Beautifully crafted, delightful, and easy to use in your web, Android, and iOS projects",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://material.io/icons/"
    ),
    OpenSourceLibrary(
        name = "Koin",
        description = "A smart Kotlin injection library to keep you focused on your app, not on your tools",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://insert-koin.io/"
    ),
    OpenSourceLibrary(
        name = "Outfit",
        description = "A geometric sans serif typeface",
        copyrightNote = "Copyright 2021 The Outfit Project Authors",
        licenseName = R.string.open_font_license_name,
        licenseText = R.raw.license_ofl,
        url = "https://github.com/Outfitio/Outfit-Fonts"
    ),
    OpenSourceLibrary(
        name = "Coil",
        description = "An image loading library for Android backed by Kotlin Coroutines",
        copyrightNote = "Copyright 2021 Coil Contributors",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://coil-kt.github.io/coil/"
    ),
    OpenSourceLibrary(
        name = "Apache Commons Text",
        description = "Apache Commons Text is a library focused on algorithms working on strings. ",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://commons.apache.org/proper/commons-text/"
    ),
    OpenSourceLibrary(
        name = "TinyPinyin",
        description = "A fast, low-memory Chinese character-to-pinyin library for Java and Android.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/promeG/TinyPinyin"
    ),
    OpenSourceLibrary(
        name = "material-color-utilities",
        copyrightNote = "Copyright 2021 Google LLC",
        description = "Algorithms and utilities that power the Material Design 3 (M3) color system, including choosing theme colors from images and creating tones of colors; all in a new color space.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/material-foundation/material-color-utilities"
    ),
    OpenSourceLibrary(
        name = "Launcher3",
        copyrightNote = "Copyright (C) 2020 The Android Open Source Project",
        description = "The AOSP launcher",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://source.android.com/"
    ),
    OpenSourceLibrary(
        name = "Protobuf",
        copyrightNote = "Copyright 2008 Google Inc.  All rights reserved.",
        description = "Protocol buffers are a language-neutral, platform-neutral extensible mechanism for serializing structured data.",
        licenseName = R.string.bsd_3clause_name,
        licenseText = R.raw.license_bsd_3clause,
        url = "https://developers.google.com/protocol-buffers"
    ),
    OpenSourceLibrary(
        name = "AndroidSVG",
        description = "AndroidSVG is a SVG parser and renderer for Android.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://bigbadaboom.github.io/androidsvg/"
    ),
    OpenSourceLibrary(
        name = "emoji4j",
        description = "Emoji4j is a high-performance, standards-compliant emoji processor supporting Unicode 15 for Java 8 or later.",
        licenseName = R.string.apache_license_name,
        licenseText = R.raw.license_apache_2,
        url = "https://github.com/sigpwned/emoji4j"
    ),
)