---
sidebar_position: 3
---

# Translations and I18n

Kvaesitso supports a number of different languages. You can contribute translations in your language using the [project's Weblate instance](https://i18n.mm20.de/engage/kvaesitso/).

![Translation status](https://i18n.mm20.de/widgets/kvaesitso/-/multi-auto.svg)

Sign up with your Github account and start translating. If your language does not exist yet, you can create it.

There are two components: i18n and units:

- `i18n` is the main component that contains most of the strings that are used within the app.

- `units` is an extra component that contains all the strings that are used by the unit converter.
  Each unit has a `unit_[name]` and a `unit_[name]_symbol` resource. `unit_[name]_symbol` is the
  symbol that is used in the search query. For SI units, this should typically be the SI symbol (m, s, kg and so on),
  but other, non-SI units may need their symbols to be translated (for example, nautical miles or horse powers).

  > [!CAUTION]
  > For technical reasons, these symbols may not contain spaces.

  `unit_[name]` is the full name of the unit that is used in the unit converter results. It's a plural resource, for different quantities of that unit.

## Icons and other resources

There are currently no icons that would require localization but in case there were you could simply create a new pull request including the localized resources.

`defaults.xml` contains (non-string) factory settings for different regions. At the moment this is only used to enable imperial units for US users.
