# Privacy Policy

All data collected by Kvaesitso itself are only stored locally and will never leave your device, unless you explicitly allow it. Some 3rd party integrations might collect additional data if you enable them (see below).

## Collected data

The following data will be collected by the launcher itself:

- which apps you have installed
- usage data about installed apps (how often/how frequently you launch each individual app)
- your current location (for weather forecasts, if you enable auto location and grant location permission)
- searchable data:
  - installed apps and app shortcuts
  - for calendar events: title, start time, end time, location, attendees and description of the event
  - for contacts: name, phone numbers, email addresses and contact photos
  - for local files: file name, path, file size, file type, additional metadata (such EXIF data of an image file, ID3 tags of an audio file) and thumbnail
  - for files stored in on of the supported clouds: file name, path, file size, file type and owner
- media playback metadata
- credentials for connected accounts
- crash and error reports

All these data are only stored locally on your device, in a protected area that cannot be accessed by other apps or users. You can delete them at any time by uninstalling the app or by clearing the app's data.

## Backup and restore

The launcher has a functionality to export and import its data for backup purposes. The exported file might contain personal data as specified above so handle it carefully.

## Crash reports

The launcher does not send any crash reports automatically. Crash reports are stored locally on your device. You can access them at settings > debug > crash reports. On this screen, you can create an issue on Github or share them somewhere else. Crash reports include both information about the crash itself and about the device (all the information are listed on the crash report screen). In most cases, these device information are very general and do not allow any conclusions about the user but in rare cases (such as if you run a self-built custom rom or if the device you use is very rare), it might be possible to identify you. If you decide to report a crash report on Github, they will be available to the public. The [Github Privacy Statement](https://docs.github.com/en/site-policy/privacy-policies/github-privacy-statement) applies.

## 3rd party integrations

Kvaesitso optionally integrates with a number of third party services which might collect data on their own:

### OpenWeatherMap

If have OpenWeatherMap selected as weather provider, Kvaesitso will periodically query OpenWeatherMap servers. If you have your location mode (settings > widgets > weather > automatic location) set to auto, your current location will be transmitted to OpenWeatherMap. If you have set it to manual, the manually selected location will be transmitted instead. The [OpenWeatherMap privacy policy](https://openweather.co.uk/privacy-policy) applies.

### Norwegian Meteorological Institute (Met.No)

If have MET Norway selected as weather provider, Kvaesitso will periodically query MET servers. If you have your location mode (settings > widgets > weather > automatic location) set to auto, your current location will be transmitted to OpenWeatherMap. If you have set it to manual, the manually selected location will be transmitted instead. The [MET privacy policy](https://www.met.no/en/About-us/privacy) applies.

### HERE

## Footnotes

If have HERE selected as weather provider, Kvaesitso will periodically query HERE servers. If you have your location mode (settings > widgets > weather > automatic location) set to auto, your current location will be transmitted to OpenWeatherMap. If you have set it to manual, the manually selected location will be transmitted instead. The [HERE End User Terms](https://legal.here.com/us-en/terms/here-end-user-terms) applies.

### Deutscher Wetterdienst / Brigh Sky

Deutscher Wetterdienst forecast data are provided by the [Bright Sky API](https://brightsky.dev/). If have Deutscher Wetterdienst selected as weather provider, Kvaesitso will periodically query Bright Sky servers. If you have your location mode (settings > widgets > weather > automatic location) set to auto, your current location will be transmitted to OpenWeatherMap. If you have set it to manual, the manually selected location will be transmitted instead.

### Wikipedia

You can optionally enable Wikipedia search to show search results from Wikipedia. While you have this feature enabled, your search requests will be sent to Wikipedia servers. The [Wikipedia privacy policy](https://foundation.wikimedia.org/wiki/Privacy_policy) applies.

### Google

You can optionally connect Kvaesitso with your Google account and enable Google Drive™<sup>[^1]</sup> search. While you have this feature enabled, your search requests will be sent to Google servers. The [Google Drive terms of service](https://www.google.com/drive/terms-of-service/) and the [Google privacy policy](https://policies.google.com/privacy) apply.

### Nextcloud / Owncloud

You can optionally connect Kvaesitso with a Nextcloud<sup>[^3]</sup> or Owncloud<sup>[^4]</sup> account and enable Nextcloud / Owncloud search. While you have this feature enabled, your search requests will be sent to the selected Nextcloud or Owncloud server. Depending on which hosting provider you use, additional terms might apply.

[^1]: Google and Google Drive are trademarks of Google LLC. Use of this trademark is subject to Google Permissions.
[^2]: Microsoft and OneDrive are trademarks of the Microsoft group of companies.
[^3]: Nextcloud is a registered trademark of Nextcloud GmbH. in Germany and/or other countries.
[^4]: ownCloud is a registered trademark of ownCloud GmbH in the United States, other countries or both.
