# Kvaesitso

<img src="https://raw.githubusercontent.com/MM2-0/Kvaesitso/main/assets/icons/ic_launcher.png" width="128">

Kvaesitso is a search focused, free and open source launcher for Android.

[Website and documentation](https://kvaesitso.mm20.de)

## Installation

### Using an F-Droid client and MM20's repo

The preferred way of installation is using the [F-Droid](https://f-droid.org) application. That way
you will always be notified about updates. Kvaesitso is available in the official F-Droid
repository, but all features depending on non-foss external APIs were removed.
For feature-complete builds you can add [MM20's repository](https://fdroid.mm20.de). Just scan the code below or open
the link on your phone:

<img src="https://fdroid.mm20.de/repo/index.png" width="150" alt="QR code">

https://fdroid.mm20.de/repo/

The same version is also available in [IzzyOnDroid's repository](https://apt.izzysoft.de/fdroid/index/apk/de.mm20.launcher2.release).

### Manual installation

You can also download the latest release from
the [releases page](https://github.com/MM2-0/Kvaesitso/releases/latest) and install it manually.

## Report issues

If you notice any bugs or issues create a new issue in
the [issue tracker](https://github.com/MM2-0/Kvaesitso/issues). Before you do, please search the
existing issues for any similar issues. Please include any relevant information such as steps to
reproduce, stack traces, logs, and device information. These information can be founder under
Settings > Debug > Crash reporter and Settings > Debug > Export debug information.

## Feature requests

If you have an idea for a new feature, just create a new issue. However, there is no guarantee that
they will be implemented. If it's important for you, consider implementing it yourself,
see [contribute](#contribute).


## Contribute

Contributions are always welcome. If you want to fix any existing issues or implement smaller new
features just create a new pull request. If you plan to implement any (bigger) new features, please
create an issue first so we can discuss if and how this feature should be implemented.

If you want to help translating, see [how to translate the project.](https://kvaesitso.mm20.de/docs/contributor-guide/i18n)

<a href="https://i18n.mm20.de/engage/kvaesitso/">
<img src="https://i18n.mm20.de/widgets/kvaesitso/-/287x66-grey.png" alt ="Translation Status">
</a>

## Links

- User guide: https://kvaesitso.mm20.de/docs/user-guide
- F-Droid-Repository: https://fdroid.mm20.de
- Archive (non-free pre-1.0 releases): https://github.com/MM2-0/Quaesitio-Archive

## Thanks to

- [@EliotAku](https://github.com/EliotAku) for the app icon
- All [translators and code contributors](https://github.com/MM2-0/Kvaesitso/graphs/contributors)

## License

This software is free software licensed under the GNU General Public License 3.0.

```

Copyright (C) 2021–2024 MM2-0 and the Kvaesitso contributors

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
```

The plugin SDK modules (`plugins/sdk` and `core/shared`) are licensed under the Apache License 2.0.
